Bug 1702017 - Review Request: libbgpdump - C library for analyzing BGP related dump files
Summary: Review Request: libbgpdump - C library for analyzing BGP related dump files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-22 18:03 UTC by Robert Scheck
Modified: 2019-05-21 03:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 00:59:20 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Robert Scheck 2019-04-22 18:03:32 UTC
Spec URL: https://labs.linuxnetz.de/bugzilla/libbgpdump.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/libbgpdump-1.6.0-1.src.rpm
Description: Libbgpdump is a C library designed to help with analyzing BGP related dump files in Zebra/Quagga or MRT RIB (Multi-Threaded Routing Toolkit Routing Information Base) format, e.g. produced by Zebra/Quagga, BIRD, OpenBGPD or PyRT.

Comment 1 Robert-André Mauchin 2019-04-24 22:15:41 UTC
 - %makeinstall is forbidden, use %make_install

 - Have you filed a bug for upstream to introduce SONAME versioning? This kind of renaming is not sufficent to have a proper soversion. You will encounter issues:

DEBUG util.py:554:  BUILDSTDERR: Error: 
DEBUG util.py:554:  BUILDSTDERR:  Problem: conflicting requests
DEBUG util.py:554:  BUILDSTDERR:   - nothing provides libbgpdump.so()(64bit) needed by libbgpdump-devel-1.6.0-1.fc31.x86_64

Because:

rpm -q --provides -p libbgpdump-1.6.0-1.fc31.x86_64.rpm 
libbgpdump = 1.6.0-1.fc31
libbgpdump(x86-64) = 1.6.0-1.fc31
libbgpdump.so.1.6.0()(64bit)

1.6.0 is now part of the library name instead of being the soname.

You can set the soname manually with patchelf:

BuildRequires:  patchelf

[…]

patchelf --set-soname libbgpdump.so.1.6.0 $RPM_BUILD_ROOT%{_libdir}/libbgpdump.so.1.6.0

Though I would recommend instead to patch the Makefile to add 

-Wl,-soname,${SONAME}, with SONAME=libbgpdump.so.@PACKAGE_VERSION@ 

to the compiler as patchelf is unreliable. In any case contact upstream first and if they don't respond, patch the Makefile.


 - Patch the Makefile to use $(INSTALL) instead of install to keep timestamps.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (with incorrect FSF address)",
     "GNU General Public License". 43 files have unknown license. Detailed
     output of licensecheck in
     /home/bob/packaging/review/libbgpdump/review-
     libbgpdump/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[!]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
     Note: %makeinstall used in %install section
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in bgpdump
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libbgpdump-1.6.0-1.fc31.x86_64.rpm
          libbgpdump-devel-1.6.0-1.fc31.x86_64.rpm
          bgpdump-1.6.0-1.fc31.x86_64.rpm
          libbgpdump-debuginfo-1.6.0-1.fc31.x86_64.rpm
          libbgpdump-debugsource-1.6.0-1.fc31.x86_64.rpm
          libbgpdump-1.6.0-1.fc31.src.rpm
libbgpdump.x86_64: W: no-soname /usr/lib64/libbgpdump.so.1.6.0
libbgpdump.x86_64: W: shared-lib-calls-exit /usr/lib64/libbgpdump.so.1.6.0 exit
libbgpdump.x86_64: E: statically-linked-binary /usr/lib64/libbgpdump.so.1.6.0
libbgpdump.x86_64: E: missing-PT_GNU_STACK-section /usr/lib64/libbgpdump.so.1.6.0
libbgpdump-devel.x86_64: W: spelling-error Summary(en_US) bgpdump -> dumpling
libbgpdump-devel.x86_64: W: spelling-error %description -l en_US bgpdump -> dumpling
libbgpdump-devel.x86_64: W: no-documentation
bgpdump.x86_64: W: no-documentation
bgpdump.x86_64: W: no-manual-page-for-binary bgpdump
6 packages and 0 specfiles checked; 2 errors, 7 warnings.

Comment 3 Robert-André Mauchin 2019-04-28 22:49:50 UTC
 - Seems good except:

%{_libdir}/%{name}.so.*

we now disallow globbing the major soname version to avoid unintentional soname bumps, be more specific instead:

%{_libdir}/%{name}.so.0*


Package approved. Please fix the aforementioned issue before import.

Comment 4 Robert Scheck 2019-04-30 00:04:55 UTC
Thank you very much for the package review. I will take care about the mentioned point.

Comment 5 Gwyn Ciesla 2019-04-30 13:18:28 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libbgpdump

Comment 6 Fedora Update System 2019-05-05 02:40:35 UTC
libbgpdump-1.6.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-abf3f8b8d9

Comment 7 Fedora Update System 2019-05-05 02:41:16 UTC
libbgpdump-1.6.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0ead8c8b57

Comment 8 Fedora Update System 2019-05-05 02:41:47 UTC
libbgpdump-1.6.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9fae0d8b4c

Comment 9 Fedora Update System 2019-05-05 02:42:25 UTC
libbgpdump-1.6.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-8bada4640d

Comment 10 Fedora Update System 2019-05-05 02:42:53 UTC
libbgpdump-1.6.0-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-277ae80627

Comment 11 Robert Scheck 2019-05-05 02:44:33 UTC
Robert-André, thank you very much for the package review! :)

Comment 12 Fedora Update System 2019-05-06 04:18:39 UTC
libbgpdump-1.6.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9fae0d8b4c

Comment 13 Fedora Update System 2019-05-06 04:43:27 UTC
libbgpdump-1.6.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-8bada4640d

Comment 14 Fedora Update System 2019-05-06 04:50:26 UTC
libbgpdump-1.6.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-277ae80627

Comment 15 Fedora Update System 2019-05-06 04:54:29 UTC
libbgpdump-1.6.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-abf3f8b8d9

Comment 16 Fedora Update System 2019-05-06 05:37:44 UTC
libbgpdump-1.6.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0ead8c8b57

Comment 17 Fedora Update System 2019-05-14 00:59:20 UTC
libbgpdump-1.6.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-05-14 01:06:09 UTC
libbgpdump-1.6.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-05-14 03:02:36 UTC
libbgpdump-1.6.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-05-21 03:38:58 UTC
libbgpdump-1.6.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-05-21 03:51:34 UTC
libbgpdump-1.6.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.